/***************************************************************************
 *
 *  Oxford Semiconductor Proprietary and Confidential Information
 *
 *  Copyright:      Oxford Semiconductor Ltd, 2006
 *
 *  Description:    Derive from this to make a class noncopyable.
 *
 ***************************************************************************/

#ifndef INC_NonCopyable_hpp
#define INC_NonCopyable_hpp



class NonCopyable
{
protected:
    /**
     *  Constructor.
     */
    OS_INLINE NonCopyable()  {}

    /**
     *  Destructor.
     */
    OS_INLINE ~NonCopyable() {}

private:
    /**
     *  Disable copy constructor.
     */
    NonCopyable(const NonCopyable&);
    /**
     *  Disable assignment.
     */
    const NonCopyable& operator=(const NonCopyable&);
};



#endif // INC_NonCopyable_hpp
